%define upstream_name    IPC-Command-Multiplex
%define upstream_version 0.008001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Run commands in parallel
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Wheel::Run)
BuildArch: noarch

%description
A simple way to run multiple commands (forking for each one) and get each
line returned from them to a callback as they get sent.

Useful for aggregating log analysis and similar.

Currently using POE - this should be considered an implementation detail
and may change - if this detail "leaks", i.e. you have to care about it
when using this module, please file a bug.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.8.1-10.mga8
+ Revision: 1495181
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.8.1-9.mga7
+ Revision: 1268840
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.8.1-8.mga6
+ Revision: 1028797
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.8.1-7.mga6
+ Revision: 949727
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.8.1-6.mga5
+ Revision: 790391
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-5.mga5
+ Revision: 743240
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-4.mga5
+ Revision: 685098
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.1-3.mga4
+ Revision: 512333
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.8.1-2.mga3
+ Revision: 368639
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 27 2011 kharec <kharec> 0.8.1-1.mga2
+ Revision: 173065
- imported package perl-IPC-Command-Multiplex


* Sun Nov 27 2011 cpan2dist 0.008001-1mga
- initial mageia release, generated with cpan2dist
